Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
86.0.0.0
Broadcast address
87.255.255.255
First usable
86.0.0.1
Last usable
87.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 56000000 · Integer 1442840576 to 1476395007
Reverse DNS zones
86.in-addr.arpa
87.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.00000000.00000000.0000000086.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01010110.00000000.00000000.0000000086.0.0.0
Broadcast01010111.11111111.11111111.1111111187.255.255.255
Split into smaller subnets/14

86.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.0.0.0/1486.0.0.1 to 86.3.255.25486.3.255.255262,142
286.4.0.0/1486.4.0.1 to 86.7.255.25486.7.255.255262,142
386.8.0.0/1486.8.0.1 to 86.11.255.25486.11.255.255262,142
486.12.0.0/1486.12.0.1 to 86.15.255.25486.15.255.255262,142
586.16.0.0/1486.16.0.1 to 86.19.255.25486.19.255.255262,142
686.20.0.0/1486.20.0.1 to 86.23.255.25486.23.255.255262,142
786.24.0.0/1486.24.0.1 to 86.27.255.25486.27.255.255262,142
886.28.0.0/1486.28.0.1 to 86.31.255.25486.31.255.255262,142
986.32.0.0/1486.32.0.1 to 86.35.255.25486.35.255.255262,142
1086.36.0.0/1486.36.0.1 to 86.39.255.25486.39.255.255262,142
1186.40.0.0/1486.40.0.1 to 86.43.255.25486.43.255.255262,142
1286.44.0.0/1486.44.0.1 to 86.47.255.25486.47.255.255262,142
1386.48.0.0/1486.48.0.1 to 86.51.255.25486.51.255.255262,142
1486.52.0.0/1486.52.0.1 to 86.55.255.25486.55.255.255262,142
1586.56.0.0/1486.56.0.1 to 86.59.255.25486.59.255.255262,142
1686.60.0.0/1486.60.0.1 to 86.63.255.25486.63.255.255262,142
1786.64.0.0/1486.64.0.1 to 86.67.255.25486.67.255.255262,142
1886.68.0.0/1486.68.0.1 to 86.71.255.25486.71.255.255262,142
1986.72.0.0/1486.72.0.1 to 86.75.255.25486.75.255.255262,142
2086.76.0.0/1486.76.0.1 to 86.79.255.25486.79.255.255262,142
2186.80.0.0/1486.80.0.1 to 86.83.255.25486.83.255.255262,142
2286.84.0.0/1486.84.0.1 to 86.87.255.25486.87.255.255262,142
2386.88.0.0/1486.88.0.1 to 86.91.255.25486.91.255.255262,142
2486.92.0.0/1486.92.0.1 to 86.95.255.25486.95.255.255262,142
2586.96.0.0/1486.96.0.1 to 86.99.255.25486.99.255.255262,142
2686.100.0.0/1486.100.0.1 to 86.103.255.25486.103.255.255262,142
2786.104.0.0/1486.104.0.1 to 86.107.255.25486.107.255.255262,142
2886.108.0.0/1486.108.0.1 to 86.111.255.25486.111.255.255262,142
2986.112.0.0/1486.112.0.1 to 86.115.255.25486.115.255.255262,142
3086.116.0.0/1486.116.0.1 to 86.119.255.25486.119.255.255262,142
3186.120.0.0/1486.120.0.1 to 86.123.255.25486.123.255.255262,142
3286.124.0.0/1486.124.0.1 to 86.127.255.25486.127.255.255262,142
3386.128.0.0/1486.128.0.1 to 86.131.255.25486.131.255.255262,142
3486.132.0.0/1486.132.0.1 to 86.135.255.25486.135.255.255262,142
3586.136.0.0/1486.136.0.1 to 86.139.255.25486.139.255.255262,142
3686.140.0.0/1486.140.0.1 to 86.143.255.25486.143.255.255262,142
3786.144.0.0/1486.144.0.1 to 86.147.255.25486.147.255.255262,142
3886.148.0.0/1486.148.0.1 to 86.151.255.25486.151.255.255262,142
3986.152.0.0/1486.152.0.1 to 86.155.255.25486.155.255.255262,142
4086.156.0.0/1486.156.0.1 to 86.159.255.25486.159.255.255262,142
4186.160.0.0/1486.160.0.1 to 86.163.255.25486.163.255.255262,142
4286.164.0.0/1486.164.0.1 to 86.167.255.25486.167.255.255262,142
4386.168.0.0/1486.168.0.1 to 86.171.255.25486.171.255.255262,142
4486.172.0.0/1486.172.0.1 to 86.175.255.25486.175.255.255262,142
4586.176.0.0/1486.176.0.1 to 86.179.255.25486.179.255.255262,142
4686.180.0.0/1486.180.0.1 to 86.183.255.25486.183.255.255262,142
4786.184.0.0/1486.184.0.1 to 86.187.255.25486.187.255.255262,142
4886.188.0.0/1486.188.0.1 to 86.191.255.25486.191.255.255262,142
4986.192.0.0/1486.192.0.1 to 86.195.255.25486.195.255.255262,142
5086.196.0.0/1486.196.0.1 to 86.199.255.25486.199.255.255262,142
5186.200.0.0/1486.200.0.1 to 86.203.255.25486.203.255.255262,142
5286.204.0.0/1486.204.0.1 to 86.207.255.25486.207.255.255262,142
5386.208.0.0/1486.208.0.1 to 86.211.255.25486.211.255.255262,142
5486.212.0.0/1486.212.0.1 to 86.215.255.25486.215.255.255262,142
5586.216.0.0/1486.216.0.1 to 86.219.255.25486.219.255.255262,142
5686.220.0.0/1486.220.0.1 to 86.223.255.25486.223.255.255262,142
5786.224.0.0/1486.224.0.1 to 86.227.255.25486.227.255.255262,142
5886.228.0.0/1486.228.0.1 to 86.231.255.25486.231.255.255262,142
5986.232.0.0/1486.232.0.1 to 86.235.255.25486.235.255.255262,142
6086.236.0.0/1486.236.0.1 to 86.239.255.25486.239.255.255262,142
6186.240.0.0/1486.240.0.1 to 86.243.255.25486.243.255.255262,142
6286.244.0.0/1486.244.0.1 to 86.247.255.25486.247.255.255262,142
6386.248.0.0/1486.248.0.1 to 86.251.255.25486.251.255.255262,142
6486.252.0.0/1486.252.0.1 to 86.255.255.25486.255.255.255262,142
6587.0.0.0/1487.0.0.1 to 87.3.255.25487.3.255.255262,142
6687.4.0.0/1487.4.0.1 to 87.7.255.25487.7.255.255262,142
6787.8.0.0/1487.8.0.1 to 87.11.255.25487.11.255.255262,142
6887.12.0.0/1487.12.0.1 to 87.15.255.25487.15.255.255262,142
6987.16.0.0/1487.16.0.1 to 87.19.255.25487.19.255.255262,142
7087.20.0.0/1487.20.0.1 to 87.23.255.25487.23.255.255262,142
7187.24.0.0/1487.24.0.1 to 87.27.255.25487.27.255.255262,142
7287.28.0.0/1487.28.0.1 to 87.31.255.25487.31.255.255262,142
7387.32.0.0/1487.32.0.1 to 87.35.255.25487.35.255.255262,142
7487.36.0.0/1487.36.0.1 to 87.39.255.25487.39.255.255262,142
7587.40.0.0/1487.40.0.1 to 87.43.255.25487.43.255.255262,142
7687.44.0.0/1487.44.0.1 to 87.47.255.25487.47.255.255262,142
7787.48.0.0/1487.48.0.1 to 87.51.255.25487.51.255.255262,142
7887.52.0.0/1487.52.0.1 to 87.55.255.25487.55.255.255262,142
7987.56.0.0/1487.56.0.1 to 87.59.255.25487.59.255.255262,142
8087.60.0.0/1487.60.0.1 to 87.63.255.25487.63.255.255262,142
8187.64.0.0/1487.64.0.1 to 87.67.255.25487.67.255.255262,142
8287.68.0.0/1487.68.0.1 to 87.71.255.25487.71.255.255262,142
8387.72.0.0/1487.72.0.1 to 87.75.255.25487.75.255.255262,142
8487.76.0.0/1487.76.0.1 to 87.79.255.25487.79.255.255262,142
8587.80.0.0/1487.80.0.1 to 87.83.255.25487.83.255.255262,142
8687.84.0.0/1487.84.0.1 to 87.87.255.25487.87.255.255262,142
8787.88.0.0/1487.88.0.1 to 87.91.255.25487.91.255.255262,142
8887.92.0.0/1487.92.0.1 to 87.95.255.25487.95.255.255262,142
8987.96.0.0/1487.96.0.1 to 87.99.255.25487.99.255.255262,142
9087.100.0.0/1487.100.0.1 to 87.103.255.25487.103.255.255262,142
9187.104.0.0/1487.104.0.1 to 87.107.255.25487.107.255.255262,142
9287.108.0.0/1487.108.0.1 to 87.111.255.25487.111.255.255262,142
9387.112.0.0/1487.112.0.1 to 87.115.255.25487.115.255.255262,142
9487.116.0.0/1487.116.0.1 to 87.119.255.25487.119.255.255262,142
9587.120.0.0/1487.120.0.1 to 87.123.255.25487.123.255.255262,142
9687.124.0.0/1487.124.0.1 to 87.127.255.25487.127.255.255262,142
9787.128.0.0/1487.128.0.1 to 87.131.255.25487.131.255.255262,142
9887.132.0.0/1487.132.0.1 to 87.135.255.25487.135.255.255262,142
9987.136.0.0/1487.136.0.1 to 87.139.255.25487.139.255.255262,142
10087.140.0.0/1487.140.0.1 to 87.143.255.25487.143.255.255262,142
10187.144.0.0/1487.144.0.1 to 87.147.255.25487.147.255.255262,142
10287.148.0.0/1487.148.0.1 to 87.151.255.25487.151.255.255262,142
10387.152.0.0/1487.152.0.1 to 87.155.255.25487.155.255.255262,142
10487.156.0.0/1487.156.0.1 to 87.159.255.25487.159.255.255262,142
10587.160.0.0/1487.160.0.1 to 87.163.255.25487.163.255.255262,142
10687.164.0.0/1487.164.0.1 to 87.167.255.25487.167.255.255262,142
10787.168.0.0/1487.168.0.1 to 87.171.255.25487.171.255.255262,142
10887.172.0.0/1487.172.0.1 to 87.175.255.25487.175.255.255262,142
10987.176.0.0/1487.176.0.1 to 87.179.255.25487.179.255.255262,142
11087.180.0.0/1487.180.0.1 to 87.183.255.25487.183.255.255262,142
11187.184.0.0/1487.184.0.1 to 87.187.255.25487.187.255.255262,142
11287.188.0.0/1487.188.0.1 to 87.191.255.25487.191.255.255262,142
11387.192.0.0/1487.192.0.1 to 87.195.255.25487.195.255.255262,142
11487.196.0.0/1487.196.0.1 to 87.199.255.25487.199.255.255262,142
11587.200.0.0/1487.200.0.1 to 87.203.255.25487.203.255.255262,142
11687.204.0.0/1487.204.0.1 to 87.207.255.25487.207.255.255262,142
11787.208.0.0/1487.208.0.1 to 87.211.255.25487.211.255.255262,142
11887.212.0.0/1487.212.0.1 to 87.215.255.25487.215.255.255262,142
11987.216.0.0/1487.216.0.1 to 87.219.255.25487.219.255.255262,142
12087.220.0.0/1487.220.0.1 to 87.223.255.25487.223.255.255262,142
12187.224.0.0/1487.224.0.1 to 87.227.255.25487.227.255.255262,142
12287.228.0.0/1487.228.0.1 to 87.231.255.25487.231.255.255262,142
12387.232.0.0/1487.232.0.1 to 87.235.255.25487.235.255.255262,142
12487.236.0.0/1487.236.0.1 to 87.239.255.25487.239.255.255262,142
12587.240.0.0/1487.240.0.1 to 87.243.255.25487.243.255.255262,142
12687.244.0.0/1487.244.0.1 to 87.247.255.25487.247.255.255262,142
12787.248.0.0/1487.248.0.1 to 87.251.255.25487.251.255.255262,142
12887.252.0.0/1487.252.0.1 to 87.255.255.25487.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses